from snek.system.model import BaseModel, ModelField


class RepositoryModel(BaseModel):

    user_uid = ModelField(name="user_uid", required=True, kind=str)

    name = ModelField(name="name", required=True, kind=str)

    is_private = ModelField(name="is_private", required=False, kind=bool)
